Topic: 3.11 -> 4.X ...is it safe to update?

softcon premium asked 5 months ago


Is it generally safe to update from MDBootstrap5 3.11 to 4.X? I'm concerned about breaking changes on my project. What was the reason for a jump to 4.0 rather than 3.12?


Grzegorz Bujański staff answered 5 months ago


In the changelog you will find information about what has changed: https://mdbootstrap.com/docs/standard/getting-started/changelog/#v4-0-0

We updated Charts.js from version 2 to version 3. It required a few changes that you need to take into account when updating to version 4.X.

Additionally, pay attention to the Removed list. Some things had been deprecated. We have been supporting old and new solutions for a long time. But in version 4.0 the old solutions have been removed already



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Premium
  • Premium support: Yes
  • Technology: MDB Standard
  • MDB Version: MDB5 3.11.0
  • Device: pc
  • Browser: all
  • OS: windows 10
  • Provided sample code: No
  • Provided link: No